#!/bin/csh -f
tar xvfz in.tgz
foreach name (unique_cad sfall_sigmaa mlphare_dm scala_truncate refmac5)
/home/cowtan/ccpdev/umtz/umtzdiff autotest-linux/$name.test.mtz autotest-sgi/$name.test.mtz >> $name.in
echo "" >> $name.in
/home/cowtan/ccpdev/umtz/umtzdiff autotest-linux/$name.test.mtz autotest-alpha/$name.test.mtz >> $name.in
echo "" >> $name.in
/home/cowtan/ccpdev/umtz/umtzdiff autotest-alpha/$name.test.mtz autotest-sgi/$name.test.mtz >> $name.in
echo "" >> $name.in
awk 'BEGIN {ni=0;for(i=1;i<=100;i++) mx[i]=0.000001} /[0-9]/ {nf=NF;ni++;for(i=1;i<=NF;i++) if ($i>mx[i]) mx[i]=$i} END {for(i=1;i<=nf;i++) printf "%8.6f ",1.2*mx[i];}' < $name.in > $name.test.tol
end
